### mutable_registered_buffer

Holds a registered buffer over modifiable data.

    class mutable_registered_buffer

##### Member Functions

Name | Description
--- | ---
buffer | Get the underlying mutable buffer.
data | Get a pointer to the beginning of the memory range.
id | Get the registered buffer identifier.
mutable_registered_buffer [constructor] | Default constructor creates an invalid registered buffer.
operator+= | Move the start of the buffer by the specified number of bytes.
size | Get the size of the memory range.

##### Related Functions

Name | Description
--- | ---
operator+ | Create a new modifiable registered buffer that is offset from the start of another. Create a new modifiable buffer that is offset from the start of another.

Satisfies the `MutableBufferSequence` type requirements.

##### Requirements

Header: `asio/registered_buffer.hpp`

Convenience header: `asio.hpp`